<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");
			require_once("./model/reporte_model.php");
			
			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$trabajadores = $ges2->get_trabajadores();
			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/reporte.phtml");
				
			}

			if( isset($_POST['DESCARGAR']) ){

				require_once("./view/cargando.phtml");

				$fechaInicio = new DateTime($_POST['fecha_inicio']);
				$fechaFin = new DateTime($_POST['fecha_fin']);
			
				// Verificar si la diferencia entre la fecha fin y la fecha inicio es mayor a un mes
				$diferencia = $fechaInicio->diff($fechaFin)->days;

				if($diferencia > 30){

					echo'<script type="text/javascript">alert("EL REPORTE TIENE QUE SER MAXIMO DE UN MES");window.location.href="reporte.php";</script>';
					
				}else{

					$productos = $ges->reporte_general($_POST['fecha_inicio'],$_POST['fecha_fin']);

					$exp = new reporte_model();
					$dato = $exp->DescargarArchivo($productos,$trabajadores);
					
					$Mensaje="DESCARGA REALIZADA";
					echo '<script>window.open("'.$dato.'", "_self");type="text/javascript">alert("'.$Mensaje.'");window.location.href="reporte.php";</script>';

				}


			}


?>